
<?php

$session = $this->getSession();
$session = $this->getSession();
$registry = $this->getRegistry();

// appel fichier internalisation
$i18n = $this->getRegistry()->get('i18n');
$filter_html = new Yab_Filter_Html();
$filter_no_html = new Yab_Filter_NoHtml();

$conteneurs_index->noLimit();

?>
<script type='text/javascript'>
	var sZeroRecords = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_error')) ; ?>" ;
	var sSearch = "<?php echo $filter_no_html->filter( $i18n -> say('recherche_globale_label')) ; ?>";
	
	$(document).ready(function() {
		$("#btn_qrcode").click(function() {
			var checked = false ;
			for (i = 0 ; i < $(".coche").length ; i++)
				if ($(".coche")[i].checked)
					checked = true ;
			if (checked)
				$("#form_qrcode").submit() ;
			else
				alert("Veuillez sélectionner un/plusieurs conteneur(s) !") ;
		}) ;
		
		$("#all").change(function() {
			$(".coche").prop('checked', $(this).prop("checked"));
		}) ;
	});

	function confirmer(url) {  // jfb 2016-04-15
    	if (confirm('Veuillez Cliquer sur "OK" pour confirmer la suppression.')) {
    		document.location.href = url ;
    	}
    }
</script>
<script src="<?php echo $request->getBaseUrl(); ?>/2.0/js/fsn_tools/table_module.js"></script>

<form id="form_qrcode" method="post" target="_blank" action="<?php echo $this->getRequest('conteneur', 'genererQRCodeGroupe') ; ?>">
<div class="table-responsive">
	<div id="optiontools"></div>

	<div id="table_conteneur_index_wrapper">
		<table id="table_conteneur_index"
			   class="table_module table table-striped table-bordered table-hover table-condensed table-responsive">
			<caption>
				<?php echo $filter_no_html->filter( $i18n -> say('conteneur_title_index')) ; ?>
			</caption>
			<thead>
			<tr class="headings">
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('nom')) ; ?>
				</th>
								<th>
					<?php echo $filter_no_html->filter( $i18n->say('type_id')) ; ?>
				</th>
				<th>
					<?php echo $filter_no_html->filter( $i18n->say('description')) ; ?>
				</th>
				<th>
					<input type="checkbox" id="all" class="form-control checkbox" />	
				</th>
				<th>
					<a
						href="<?php echo $this->getRequest('Conteneur', 'add'); ?>">
							<span class="glyphicon glyphicon-plus-sign"
								  style="font-size: 32px;" alt="Ajouter" title="Ajouter"></span>
					</a>
				</th>
				<th>
					<span class="glyphicon glyphicon-qrcode" id="btn_qrcode" alt="Imprimer QRCode" title="Imprimer QRCode"></span>
				</th>
			</tr>
			</thead>
			<tbody>
			<?php foreach($conteneurs_index as $conteneur){ ?>
			<tr
					href="<?php echo $this->getRequest('Conteneur', 'show', $conteneur->getPrimary()); ?>"
					title="<?php echo $filter_no_html->filter( $i18n->say('show_detail_title')) ; ?>"
					class="table-clickable-row">

				<td class="table-row-data">
					<?php echo $conteneur->get('nom', $filter_html); ?>
				</td>
								<td class="table-row-data">
					<?php echo $conteneur->getTypeLibelle($conteneur->get('type_id')) ; ?>
				</td>
				<td class="table-row-data">
					<?php echo $conteneur->get('description', $filter_html); ?>
				</td>
				
				<td class="table-row-option">
					<input type="checkbox" name="qrcodes[]" class="form-control checkbox coche" value="<?php echo $conteneur->get("id"); ?>" />
				</td>

				<td class="table-row-option"><a
						href="<?php echo $this->getRequest('Conteneur', 'edit', $conteneur->getPrimary()); ?>"><span
						class="glyphicon glyphicon-edit" style="font-size: 18px;"
						alt="Editer" title="Editer"></span></a></td>
				<td class="table-row-option">
						<span class="glyphicon glyphicon-remove-circle alert-danger" style="font-size: 18px;"
						onclick="confirmer('<?php echo $this->getRequest('Conteneur', 'delete', $conteneur->getPrimary()); ?>');"
						alt="Supprimer" title="Supprimer"></span>
				</td>
			</tr>
			<?php } ?>
			</tbody>
		</table>
	</div>
</div>
</form>
<div style="float: left; padding-bottom: 10px; padding-top: 10px">
	<span> <a
			href="<?php echo $this->getRequest('Index', 'index'); ?>"
			class="btn btn-default">Retour &agrave; index</a>
	</span>
</div>

